/*
----------------------------------------------------------------------------
  Site wide > typography style
----------------------------------------------------------------------------
*/

body,
p {
  font-family: @font1;
  font-size: 14px;
  line-height: 21px;
}

p {
  margin-top: 0;
  margin-bottom: 21px;
}

a:active,
a:focus {
  /* IE remove focus */
  outline: none;
  //ie-dummy: expression(this.hideFocus=true);
}

a {
  color: @td_theme_color;
  text-decoration: none;
}

ins {
  background: white;
  text-decoration: none;
}

code {
  position: relative;
  top: -1px;
  border: none;
  background-color: #f1f1f1;
  padding: 2px 6px;
}

pre {
  background-color: #f1f1f1;
  padding: 4px 10px 4px 10px;
  border: none;
  border-radius: 0;
  margin-top: 24px;
}

cite {
  font-family: @font2;
  font-size: 13px; /* ovveride bootstrap */
  font-style: italic;
  font-weight: normal;
  text-transform: none;
  color: #000;
  a {
    color: #000;

    &:hover {
      color: @td_theme_color;
    }
  }
}

q {
  font-style: italic;
}

ul,
ol {
  padding: 0;

  li {
    line-height: 24px;
    margin-left: 21px;
  }
}

.dl-horizontal {
  a {
    font-weight: 500 !important;
  }
  dt {
    width: 70px;
    font-weight: 400;
    line-height: 24px;
    font-size: 15px;
  }
  dd {
    margin-left: 90px;
    line-height: 24px;
    font-size: 14px;
  }
}

address {
  font-size: inherit !important;
  line-height: inherit !important;
  margin-bottom: 21px;
}

big {
  text-transform: uppercase;
}

embed {
  width: 100%;
}

/*  ----------------------------------------------------------------------------
     table
*/

table {
  width: 100%;

  th {
    text-align: left;
    border: 1px solid @td_grid_border_color;
    padding: 2px 8px;
  }

  td {
    border: 1px solid @td_grid_border_color;
    padding: 2px 8px;
  }

  .odd {
    td {
      background-color: #fcfcfc;
    }
  }
}

/*  ----------------------------------------------------------------------------
    h
*/
@h1_size: 32px;
@h1_line_height: 40px;

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: @font2;
  color: @td_text_color;
  font-weight: 400;
  margin: 6px 0 6px 0;
}

h1 > a,
h2 > a,
h3 > a,
h4 > a,
h5 > a,
h6 > a {
  color: @td_text_color;
}

h1 {
  font-size: 32px;
  line-height: 40px;
  margin-top: 33px;
  margin-bottom: 23px;
  //letter-spacing: -0.02em;
}

h2 {
  font-size: 27px;
  line-height: 38px;
  margin-top: 30px;
  margin-bottom: 20px;
  //letter-spacing: -0.02em;
}

h3 {
  font-size: @h1_size - 10;
  line-height: @h1_line_height - 10;
  margin-top: 27px;
  margin-bottom: 17px;
}

h4 {
  font-size: @h1_size - 13;
  line-height: @h1_line_height - 11;
  margin-top: 24px;
  margin-bottom: 14px;
}

h5 {
  font-size: @h1_size - 15;
  line-height: @h1_line_height - 15;
  margin-top: 21px;
  margin-bottom: 11px;
}

h6 {
  font-size: @h1_size - 16;
  line-height: @h1_line_height - 16;
  margin-top: 21px;
  margin-bottom: 11px;
}

// videopress from Jetpack
// @todo verificat daca mai trebuie astea 3 ????
.videopress-placeholder {
  width: 100% !important;
}
.videopress-poster {
  height: auto !important;
  width: 100% !important;
}
.video-player {
  width: 100% !important;
}

/*
----------------------------------------------------------------------------
  Site wide > Forms
----------------------------------------------------------------------------
*/
textarea {
  font-size: 12px;
  line-height: 21px;
  color: #444;
  border: 1px solid #e1e1e1;
  width: 100%;
  max-width: 100%;
  height: 168px;
  min-height: 168px;
  padding: 6px 9px 6px 9px;

  /* responsive portrait phone */
  @media (max-width: @responsive_p_phone_max) {
    font-size: 16px;
  }

  &:active,
  &:focus {
    border-color: #b0b0b0 !important;
  }
}

// reset outline focus Chrome
textarea:focus,
input:focus,
input[type]:focus {
  outline: 0 none;
}

/* Input buttons */
input[type='submit'] {
  font-family: @font2;
  font-size: 13px;
  background-color: @td_black;
  border-radius: 0;
  color: #fff;
  border: none;
  padding: 8px 15px;
  font-weight: 500;
  .transition(background-color @td_transition_time);

  &:hover {
    background-color: @td_theme_color;
  }
}

input[type='text'],
input[type='url'],
input[type='tel'],
input[type='email'] {
  font-size: 12px;
  line-height: 21px;
  color: #444;
  border: 1px solid #e1e1e1;
  width: 100%;
  max-width: 100%;
  height: 34px;
  padding: 3px 9px;

  /* responsive portrait phone */
  @media (max-width: @responsive_p_phone_max) {
    font-size: 16px;
  }

  &:active,
  &:focus {
    border-color: #b0b0b0 !important;
  }
}

select {
  font-size: 12px;
  line-height: 21px;
  color: #444;
  border: 1px solid #e1e1e1;
  width: 100%;
  max-width: 100%;
  height: 34px;
  padding: 3px 9px;
  background: #fff;

  @media (max-width: @responsive_p_phone_max) {
    font-size: 16px;
  }
}

input[type='password'] {
  width: 100%;
  position: relative;
  top: 0;
  display: inline-table;
  vertical-align: middle;
  font-size: 12px;
  line-height: 21px;
  color: #444;
  border: 1px solid #ccc;
  max-width: 100%;
  height: 34px;
  padding: 3px 9px;
  margin-bottom: 10px;

  /* responsive portrait phone */
  @media (max-width: @responsive_p_phone_max) {
    font-size: 16px;
  }
}

/*
----------------------------------------------------------------------------
  Site wide > WordPress Text, Images & Captions
----------------------------------------------------------------------------
*/

/*  ----------------------------------------------------------------------------
    text and Images align
*/

.td-post-content,
.wpb_text_column, // text widget from VC
.td_block_text_with_title, // our text widget with title
.woocommerce #tab-description,
.mce-content-body {
  img {
    margin-bottom: 21px;
  }

  // if with caption remove the margin
  figure {
    img {
      margin-bottom: 0;
    }
  }

  // this is for small `in content` images..
  // for large `in content` images use wp's center align to have them look well
  .alignnone {
    display: inline-block;
    margin: 0 5px;

    /* responsive portrait phone */
    @media (max-width: @responsive_p_phone_max) {
      margin: 0 10px 0 0;
    }
  }
}

img.wp-smiley {
  width: auto;
}

.wp-caption-text,
.wp-caption-dd  //editor-style
 {
  font-family: @font2;
  text-align: left;
  margin: 6px 0 26px 0;
  font-size: 11px;
  font-style: italic;
  font-weight: normal;
  line-height: 17px;
  color: #444;
}

.wp-caption {
  text-align: center;
  max-width: 100%;
}

.wp-caption img {
  max-width: 100% !important;
}

.alignnone {
  margin-top: 0;
}

.aligncenter {
  text-align: center;
  clear: both;
  display: block;
  margin-left: auto;
  margin-right: auto;
  margin-top: 6px;
  margin-bottom: 6px;
}

figure.alignright,
figure.alignleft,
figure.aligncenter {
  margin-bottom: 0;
}

// ?
.alignnone img,
.aligncenter img {
  width: 100%;
}

/*  ----------------------------------------------------------------------------
    align left
     -> on desktop - the tinyMCE size is used
     -> on tablet(s) - apply the max-width to make it look nice
     -> on phones  - center, max width 100%
        + fix for tinyMCE padding
     -> on full width td-pb-span12
*/

.alignleft {
  float: left;
  margin-top: 6px;
  margin-right: 24px;
  margin-bottom: 6px !important; /* hack for tinyMCE / post content diffs*/
  margin-left: 0;

  /* responsive landscape tablet */
  @media (min-width: @responsive_l_tablet_min) and (max-width: @responsive_l_tablet_max) {
    max-width: 312px;
    margin-right: 21px;
  }

  /* responsive portrait tablet */
  @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
    max-width: 220px;
    margin-right: 21px;
  }

  /* responsive portrait phone - just a bit, after 500px we make it non float */
  @media (max-width: @responsive_p_phone_max) {
    max-width: 220px;
    margin-right: 21px;
  }

  /* responsive phone CUSTOM - align the image on center */
  @media (max-width: 500px) {
    float: none;
    text-align: center;
    margin-left: auto;
    margin-right: auto;
    max-width: 100%;
    margin-bottom: 21px;

    img {
      text-align: center;
      margin-left: auto;
      margin-right: auto;
    }

    figcaption {
      text-align: center;
    }
  }
}

.mce-content-body .alignleft {
  //tinyMCE fix for margin right on picture + caption
  margin: 6px 24px 6px 0;
}

// when the picture is on full width (3 td-col)
.td-pb-span12,
.mceContentBody-max-width-big {
  .alignleft {
    /* responsive landscape tablet */
    @media (min-width: @responsive_l_tablet_min) and (max-width: @responsive_l_tablet_max) {
      max-width: 550px !important;
    }
    /* responsive portrait tablet */
    @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
      max-width: 400px !important;
    }
  }
}

/*  ----------------------------------------------------------------------------
    Screen reader text
*/
.screen-reader-text {
  clip: rect(1px, 1px, 1px, 1px);
  height: 1px;
  overflow: hidden;
  position: absolute !important;
  width: 1px;
}

/*  ----------------------------------------------------------------------------
    align right
     -> on desktop - the tinyMCE size is used
     -> on tablets - apply the max-width to make it look nice
     -> on phones  - center, max width 100%
        + fix for tinyMCE padding
     -> on full width td-pb-span12
*/
.alignright {
  float: right;
  margin-top: 6px;
  margin-right: 0;
  margin-bottom: 6px !important; /* hack for tinyMCE / post content diffs*/
  margin-left: 24px;

  /* responsive landscape tablet */
  @media (min-width: @responsive_l_tablet_min) and (max-width: @responsive_l_tablet_max) {
    max-width: 312px;
    margin-left: 21px;
  }

  /* responsive portrait tablet */
  @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
    max-width: 220px;
    margin-left: 21px;
  }

  /* responsive portrait phone - just a bit, after 500px we make it non float */
  @media (max-width: @responsive_p_phone_max) {
    max-width: 220px;
    margin-left: 21px;
  }

  /* responsive phone CUSTOM  - align the image on center */
  @media (max-width: 500px) {
    float: none;
    text-align: center;
    margin-left: auto;
    margin-right: auto;
    max-width: 100%;
    margin-bottom: 21px;

    img {
      text-align: center;
      margin-left: auto;
      margin-right: auto;
    }
    figcaption {
      text-align: center;
    }
  }
}

.mce-content-body .alignright {
  //tinyMCE fix for margin right on picture + caption
  margin: 6px 0 6px 24px;
}

// when the picture is on full width (3 td-col)
.td-pb-span12,
.mceContentBody-max-width-big {
  .alignright {
    /* responsive landscape tablet */
    @media (min-width: @responsive_l_tablet_min) and (max-width: @responsive_l_tablet_max) {
      max-width: 550px !important;
    }
    /* responsive portrait tablet */
    @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
      max-width: 400px !important;
    }
  }
}

/*
----------------------------------------------------------------------------
  Css for:
  Page content
  Post content
  TinyMCE content
----------------------------------------------------------------------------
*/

.td-page-content,
.td-post-content,
.wpb_text_column, // text widget from VC
.td_block_text_with_title, // our text widget with title
.woocommerce #tab-description,
.mce-content-body {
  font-size: 15px;
  line-height: 26px;
  color: #222;

  a:hover {
    text-decoration: underline;
  }

  ul,
  ol {
    margin-bottom: 26px;
  }

  p,
  li {
    font-size: 15px;
    line-height: 26px;
  }

  p {
    margin-bottom: 26px;
  }

  .td-arrow-list {
    list-style: none;
    margin-left: 16px;

    li:before {
      font-family: @font4;
      content: '\e803';
      float: left;
      margin-left: -16px;
      line-height: 26px;
      font-size: 14px;
    }
  }

  //fix for embeds that overflow content width
  embed,
  iframe,
  object {
    max-width: 100% !important;
  }

  iframe {
    &.instagram-media {
      margin: 1px 0 12px !important;
    }
  }
}

//remove underline from Titles and Categories
.entry-title a,
.td-post-category,
.widget a,
.td_block_wrap a {
  &:hover {
    text-decoration: none !important;
  }
}

/*  ----------------------------------------------------------------------------
    quote
*/
.td-page-content,
.td-post-content,
.wpb_text_column, // text widget from VC
.td_block_text_with_title, // our text widget with title
.bbpress, // bbPress forum
.woocommerce #tab-description,
.mce-content-body,
.comment-content {
  blockquote {
    padding: 0;
    position: relative;
    border-left: none;
    margin: 40px 5% 38px 5%;

    /* responsive portrait phone */
    @media (max-width: @responsive_p_phone_max) {
      margin: 20px 3% 18px 3%;
    }

    p {
      font-family: @font2;
      font-size: 32px;
      line-height: 40px;
      font-weight: 400;
      font-style: italic;
      text-align: center;
      text-transform: uppercase;
      color: @td_theme_color;
      word-wrap: break-word;

      /* responsive portrait tablet */
      @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
        font-size: 24px;
        line-height: 32px;
      }

      /* responsive portrait phone */
      @media (max-width: @responsive_p_phone_max) {
        font-size: 22px;
        line-height: 30px;
      }
    }
  }

  // reset twitter quote issue
  .twitter-tweet p {
    font-family: initial;
    font-size: initial;
    line-height: initial;
    font-style: initial;
    text-align: initial;
    text-transform: initial;
    color: initial;
    font-weight: initial;
  }

  // default blockquote left + right
  .td_quote_right {
    float: right;
    width: 50%;
    margin: 21px 0 21px 21px;

    /* responsive portrait phone */
    @media (max-width: @responsive_p_phone_max) {
      float: none;
      width: auto;
      margin-right: 5%;
      margin-left: 5%;
    }
  }

  .td_quote_left {
    float: left;
    width: 50%;
    margin: 18px 18px 18px 0;

    /* responsive portrait phone */
    @media (max-width: @responsive_p_phone_max) {
      float: none;
      width: auto;
      margin-right: 5%;
      margin-left: 5%;
    }

    p {
      text-align: left;

      /* responsive portrait phone */
      @media (max-width: @responsive_p_phone_max) {
        text-align: center;
      }
    }
  }

  // box quote
  .td_quote_box {
    margin: 0;
    background-color: #fcfcfc;
    border-left: 2px solid @td_theme_color;
    padding: 15px 23px 0 23px;
    position: relative;
    top: 6px;
    clear: both;

    p {
      font-family: @font1;
      color: #777777;
      font-size: 13px;
      line-height: 21px;
      padding-bottom: 16px;
      margin: 0;
      text-transform: none;
    }
  }

  .td_box_left {
    width: 40%;
    float: left;
    margin: 0 34px 20px 0;

    /* responsive portrait phone */
    @media (max-width: @responsive_p_phone_max) {
      float: none;
      margin: 0 0 36px 0;
      width: auto;
    }

    p {
      text-align: left;
    }
  }

  .td_box_right {
    width: 30%;
    float: right;
    margin: 0 0 20px 34px;

    /* responsive portrait phone */
    @media (max-width: @responsive_p_phone_max) {
      float: none;
      margin: 0 0 36px 0;
      width: auto;
    }

    p {
      text-align: left;
    }
  }

  .td_box_center {
    margin: 0 0 29px 0;

    /* responsive portrait phone */
    @media (max-width: @responsive_p_phone_max) {
      margin-bottom: 36px;
    }
  }

  // pull quote
  .td_pull_quote {
    padding: 18px 25px;
    margin: 0;
    clear: both;

    p {
      font-family: @font1;
      font-size: 14px;
      line-height: 26px;
      font-weight: 600;
      text-transform: none;
      text-align: center;

      &:first-child:before {
        position: absolute;
        background: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAA8AAAALBAMAAABSacpvAAAALVBMVEUAAAC0tLS0tLS0tLS0tLS0tLS0tLS0tLS0tLS0tLS0tLS0tLS0tLS0tLS0tLRK0HxpAAAADnRSTlMAd+67mWZR3SKqMxGIzB8/1rAAAABlSURBVAjXFcexDQEBAAXQd+KCRm4CDZURFGICMYFadTHBxQQmEDHCzWAI9XGJ8s/ANS95FBvccKwYr5kuUQ/5omm5dpQ9Fu+H2efEPX07Sg62f+bJ2T6pJkmnTi5FslM2L56r9geMACBhjTsodgAAAABJRU5ErkJggg==')
          no-repeat;
        left: 0;
        display: block;
        content: '';
        width: 15px;
        height: 15px;
        box-sizing: border-box;
        -moz-box-sizing: border-box;
        -webkit-box-sizing: border-box;
      }

      &:after {
        position: absolute;
        bottom: 10px;
        right: 0;
        display: block;
        content: '';
        width: 15px;
        height: 15px;
        box-sizing: border-box;
        -moz-box-sizing: border-box;
        -webkit-box-sizing: border-box;
        background: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAA8AAAALBAMAAABSacpvAAAALVBMVEUAAAC0tLS0tLS0tLS0tLS0tLS0tLS0tLS0tLS0tLS0tLS0tLS0tLS0tLS0tLRK0HxpAAAADnRSTlMA3ZnuqndmIhG7VYhEMzOiL2oAAABkSURBVAjXY+D1E2PgULZuYGB89+4A07t3AQzn3r1T4Hv3ToCh7t27CUDRBwxAYQe2d+8MGBiuAuWr5BwYGBjeFTAwzEtgYOB6xMDA8RAowGnOwMD6CsjIA4oWKwBFXYGcLQ0MAFHHH+tW1OhlAAAAAElFTkSuQmCC')
          no-repeat;
      }
    }
  }

  .td_pull_left {
    width: 40%;
    float: left;
    margin-right: 34px;

    /* responsive portrait phone */
    @media (max-width: @responsive_p_phone_max) {
      float: none;
      margin: 0 0 30px 0;
      width: auto;
    }
  }

  .td_pull_right {
    width: 30%;
    float: right;
    margin-left: 34px;

    /* responsive portrait phone */
    @media (max-width: @responsive_p_phone_max) {
      float: none;
      margin: 0 0 30px 0;
      width: auto;
    }
  }

  .td_pull_center {
    margin: 17px 0;
    padding: 15px 50px;

    /* responsive portrait phone */
    @media (max-width: @responsive_p_phone_max) {
      padding: 15px 20px;
    }
  }
}

blockquote {
  small {
    margin-top: 5px;
    display: block;
    font-size: 13px;
    font-style: italic;
    font-weight: normal;
    text-transform: none;
    color: #444;
  }
}

blockquote.pull-right {
  padding-left: 20px;
  border-right: none;
}

blockquote.pull-right:after {
  border-right: 2px solid #fb5502;
  width: 40px;
  right: -40px;
}

/*  ----------------------------------------------------------------------------
    dropcaps
*/
.td-page-content,
.td-post-content,
.wpb_text_column, // text widget from VC
.td_block_text_with_title, // our text widget with title
.bbpress, // bbPress forum
.woocommerce #tab-description,
.mce-content-body,
.comment-content {
  .dropcap {
    float: left;
    display: block;
    font-size: 50px;
    line-height: 56px;
    background-color: @td_theme_color;
    color: white;
    text-align: center;
    margin: 9px 13px 0 0;
    padding: 2px 10px 4px;
    font-family: @font2;
    text-transform: uppercase;
    min-width: 62px;
    min-height: 62px;
  }

  .dropcap1 {
    -webkit-border-radius: 70px;
    -moz-border-radius: 70px;
    border-radius: 70px;
    font-size: 40px;
    padding: 2px 14px 4px;
  }

  .dropcap2 {
    background-color: transparent !important;
    color: #4b4b4b;
    font-size: 79px;
    line-height: 69px;
    margin: 0 9px 0 0;
    padding: 0 13px 0 0;
  }

  .dropcap3 {
    background-color: transparent !important;
    color: #4b4b4b;
    font-weight: bold;
    font-size: 79px;
    line-height: 69px;
    margin: 0 9px 0 0;
    padding: 0 13px 0 0;
  }
}

/*  ----------------------------------------------------------------------------
    text columns
*/

.td_column_count_mixin(@column_count) {
  -webkit-column-count: @column_count;
  -moz-column-count: @column_count;
  column-count: @column_count;
}

.td_column_gap_mixin(@column_gap_px) {
  -webkit-column-gap: @column_gap_px;
  -moz-column-gap: @column_gap_px;
  column-gap: @column_gap_px;
}

.td_column_rules_mixin(@column_rule_style) {
  -webkit-column-rule-style: @column_rule_style;
  -moz-column-rule-style: @column_rule_style;
  column-rule-style: @column_rule_style;
}

.td_column_rules_width_mixin(@column_rule_width) {
  -webkit-column-rule-width: @column_rule_width;
  -moz-column-rule-width: @column_rule_width;
  column-rule-width: @column_rule_width;
}

.td_column_rules_color(@column_rule_color) {
  -webkit-column-rule-color: @column_rule_color;
  -moz-column-rule-color: @column_rule_color;
  column-rule-color: @column_rule_color;
}

.td_text_columns_two_cols {
  .td_column_count_mixin(2);
  .td_column_gap_mixin(40px);
  .td_column_rules_mixin(solid);
  .td_column_rules_width_mixin(1px);
  .td_column_rules_color(#e9e9e9);
  margin-bottom: 26px;
}

/*  ----------------------------------------------------------------------------
    button
*/
//Default - Global
.td_btn {
  cursor: pointer;
  display: inline-block;
  position: relative;
  color: white;
  font-family: 'Open Sans', arial, sans-serif;
  font-weight: 600;
}

.td_btn_sm {
  padding: 5px 10px;
  font-size: 12px;
  line-height: 1.5;

  &.td_round_btn {
    border-radius: 3px; //round
  }
}

.td_btn_md {
  padding: 9px 12px;
  font-size: 16px;
  line-height: 20px;

  &.td_round_btn {
    border-radius: 4px; //round
  }
}

.td_btn_lg {
  padding: 10px 16px;
  font-size: 18px;
  line-height: 1.33;

  &.td_round_btn {
    border-radius: 6px; //round
  }
}

// Default and round buttons
.td_default_btn,
.td_round_btn {
  transition: background-color 0.1s ease;
  -webkit-transition: background-color 0.1s ease;
  background-color: @td_theme_color;

  &:hover {
    background-color: #444 !important;
  }

  &:active {
    background-color: #000 !important;
  }
}

//Outlined button
.td_outlined_btn {
  border-width: 2px;
  border-style: solid;
  border-color: @td_theme_color;
  border-radius: 4px;
  color: @td_theme_color;
  background-color: transparent;
  transition: all 0.1s ease;
  -webkit-transition: all 0.1s ease;

  &:hover {
    background-color: @td_theme_color;
    color: #fff;
  }

  &:active {
    background-color: #444 !important;
    border-color: #444;
  }
}

//Shadow button
.td_shadow_btn {
  background-color: @td_theme_color;
  top: 0;
  -webkit-box-shadow: 0 4px 7px 0 rgba(0, 0, 0, 0.25);
  -moz-box-shadow: 0 4px 7px 0 rgba(0, 0, 0, 0.25);
  box-shadow: 0 4px 7px 0 rgba(0, 0, 0, 0.25);
  transition: top 0.1s ease;
  -webkit-transition: top 0.1s ease;

  &:hover {
    top: -3px;
    -webkit-box-shadow: 0 6px 12px 0 rgba(0, 0, 0, 0.25);
    -moz-box-shadow: 0 6px 12px 0 rgba(0, 0, 0, 0.25);
    box-shadow: 0 6px 12px 0 rgba(0, 0, 0, 0.25);
  }

  &:active {
    background-color: #444 !important;
  }
}

//3d button
.td_3D_btn {
  background-color: @td_theme_color;
  top: 0;
  transition: top 0.1s ease;
  -webkit-transition: top 0.1s ease;

  &:after {
    content: '';
    position: absolute;
    display: block;
    left: 0;
    top: 100%;
    width: 100%;
    height: 5px;
    background-color: rgba(0, 0, 0, 0.25);
    z-index: 0;
    transition: height 0.1s ease;
    -webkit-transition: height 0.1s ease;
  }

  &:hover {
    top: 5px;

    &:before {
      height: 0;
    }

    &:after {
      height: 0;
    }
  }

  &:active {
    background-color: #444 !important;
  }
}

/*  ----------------------------------------------------------------------------
    text highlighting
*/
.td_text_highlight_0 {
  background-color: rgba(0, 0, 0, 0.77);
  padding: 5px 0 6px 0;
  margin: 0 8px 0 8px;
  box-shadow: 8px 0 0 rgba(0, 0, 0, 0.77), -8px 0 0 rgba(0, 0, 0, 0.77);
  color: rgb(42, 42, 42);
  .transition(color 400ms);
  &:hover {
    color: #f9f9f9;
    cursor: default;
  }
}

.td_text_highlight_marker {
  padding: 5px 0 6px 0;
  margin: 0 8px 0 8px;

  color: white;
  .transition(color 400ms);
  &:hover {
    color: #f9f9f9;
  }
}

.td_text_highlight_marker_red {
  background-color: rgba(255, 28, 26, 0.62);
  box-shadow: 8px 0 0 rgba(255, 28, 26, 0.62), -8px 0 0 rgba(255, 28, 26, 0.62);
}

.td_text_highlight_marker_blue {
  background-color: rgba(57, 213, 255, 0.75);
  box-shadow: 8px 0 0 rgba(57, 213, 255, 0.75),
    -8px 0 0 rgba(57, 213, 255, 0.75);
}

.td_text_highlight_marker_green {
  background-color: rgba(77, 216, 69, 0.65);
  box-shadow: 8px 0 0 rgba(77, 216, 69, 0.65), -8px 0 0 rgba(77, 216, 69, 0.65);
}

.td_text_highlight_marker_yellow {
  background-color: rgba(255, 203, 0, 0.75);
  box-shadow: 8px 0 0 rgba(255, 203, 0, 0.75), -8px 0 0 rgba(255, 203, 0, 0.75);
}

.td_text_highlight_marker_pink {
  background-color: rgba(255, 101, 243, 0.75);
  box-shadow: 8px 0 0 rgba(255, 101, 243, 0.75),
    -8px 0 0 rgba(255, 101, 243, 0.75);
}

/*  ----------------------------------------------------------------------------
    custom post padding
*/

//  text ⇠
.td-paragraph-padding-0 {
  display: block;
  padding-left: 0;
  padding-right: 6%;
}

// ⇢ text ⇠
.td-paragraph-padding-1 {
  display: block;
  padding-left: 6%;
  padding-right: 6%;
}

// ⇢⇢ text ⇠⇠
.td-paragraph-padding-2 {
  display: block;
  padding-left: 12%;
  padding-right: 12%;
}

// ⇢ text ⇠⇠
.td-paragraph-padding-3 {
  display: block;
  padding-left: 6%;
  padding-right: 12%;
}

// ⇢ text
.td-paragraph-padding-4 {
  display: block;
  padding-left: 6%;
  padding-right: 0;
}

// ⇢⇢⇢ text ⇠⇠⇠
.td-paragraph-padding-5 {
  display: block;
  padding-left: 18%;
  padding-right: 18%;
}

// ⇢⇢ text ⇠
.td-paragraph-padding-6 {
  display: block;
  padding-left: 12%;
  padding-right: 6%;
}

//smaller spaces on two columns
.td-pb-span8,
.mceContentBody-max-width-small  //editor-style - small version
 {
  //  text ⇠
  .td-paragraph-padding-0 {
    padding-right: 4%;
  }

  // ⇢ text ⇠
  .td-paragraph-padding-1 {
    padding-left: 4%;
    padding-right: 4%;
  }

  // ⇢⇢ text ⇠⇠
  .td-paragraph-padding-2 {
    padding-left: 8%;
    padding-right: 8%;
  }

  // ⇢ text ⇠⇠
  .td-paragraph-padding-3 {
    padding-left: 4%;
    padding-right: 8%;
  }

  // ⇢ text
  .td-paragraph-padding-4 {
    padding-left: 4%;
  }

  // ⇢⇢⇢ text ⇠⇠⇠
  .td-paragraph-padding-5 {
    padding-left: 12%;
    padding-right: 12%;
  }

  // ⇢⇢ text ⇠
  .td-paragraph-padding-6 {
    padding-left: 8%;
    padding-right: 4%;
  }
}

/* responsive phone */
@media (max-width: 500px) {
  .td-paragraph-padding-0,
  .td-paragraph-padding-1,
  .td-paragraph-padding-2,
  .td-paragraph-padding-3,
  .td-paragraph-padding-4,
  .td-paragraph-padding-5,
  .td-paragraph-padding-6 {
    padding-left: 10px !important;
    padding-right: 10px !important;
  }
}
